libzypp: zypp::_logtoolsdetail::MapEntry< TPair > Class Template Reference

libzypp 17.36.6

Public Member Functions | Private Attributes | Related Symbols | List of all members
zypp::_logtoolsdetail::MapEntry< TPair > Class Template Reference

std::pair wrapper for std::map output. More...

`#include <zypp-core/base/LogTools.h>`

## Public Member Functions
| MapEntry (const TPair &pair_r)
const TPair & | pair () const

## Private Attributes
const TPair *const | _pair

## Related Symbols
(Note that these are not member symbols.)
template<class TPair>
std::ostream & | operator<< (std::ostream &str, const MapEntry< TPair > &obj)
| Stream output.
template<class TPair>
MapEntry< TPair > | mapEntry (const TPair &pair_r)
| Convenience function to create MapEntry from std::pair.

## Detailed Description

template<class TPair>
class zypp::_logtoolsdetail::MapEntry< TPair >

std::pair wrapper for std::map output.

Just because we want a special output format for std::pair used in a std::map. The mapped std::pair is printed as `[key] = value`.

Definition at line 231 of file LogTools.h.

## Constructor & Destructor Documentation

## ◆ MapEntry()

template<class TPair>

zypp::_logtoolsdetail::MapEntry< TPair >::MapEntry | ( | const TPair & | pair_r | ) |
| inline

Definition at line 234 of file LogTools.h.

## Member Function Documentation

## ◆ pair()

template<class TPair>

const TPair & zypp::_logtoolsdetail::MapEntry< TPair >::pair | ( |  | ) | const
| inline

Definition at line 238 of file LogTools.h.

## Friends And Related Symbol Documentation

## ◆ operator<<()

template<class TPair>

std::ostream & operator<< | ( | std::ostream & | str,
|  | const MapEntry< TPair > & | obj )
| related

Stream output.

Definition at line 247 of file LogTools.h.

## ◆ mapEntry()

template<class TPair>

MapEntry< TPair > mapEntry | ( | const TPair & | pair_r | ) |
| related

Convenience function to create MapEntry from std::pair.

Definition at line 254 of file LogTools.h.

## Member Data Documentation

## ◆ _pair

template<class TPair>

const TPair* const zypp::_logtoolsdetail::MapEntry< TPair >::_pair
| private

Definition at line 242 of file LogTools.h.

The documentation for this class was generated from the following file:

- zypp-core/base/LogTools.h